> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get remote token

> get remote connection token



## OpenAPI

````yaml post /open/api/phone/getRemoteToken
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/getRemoteToken:
    post:
      tags: []
      summary: Get remote token
      description: get remote connection token
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiRemoteTokenReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RListApiRemoteTokenResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ApiRemoteTokenReqVO:
      type: object
      properties:
        phoneIds:
          type: array
          items:
            type: integer
          description: List of phone IDs,obtain the id through `Get phone list` api
          minItems: 1
        forceKick:
          type: boolean
          description: Whether to force kick out
          default: true
    RListApiRemoteTokenResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: array
          items:
            $ref: '#/components/schemas/ApiRemoteTokenResVO'
            description: ApiRemoteTokenResVO
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    ApiRemoteTokenResVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: Phone ID
          format: int64
        teamId:
          type: integer
          description: Team ID
          format: int64
        status:
          type: integer
          description: |-
            @ NotNull
            Phone status
          enum:
            - 1
            - 2
            - 4
            - 41
            - 6
            - 7
        token:
          type: object
          properties: {}
          description: Authentication token
        errorMsg:
          type: string
          description: Error message
        chargeType:
          type: integer
          description: Billing type
        autoInstallStatus:
          type: integer
          description: Auto install status
        nextPayTime:
          type: string
          description: Next payment time
      required:
        - phoneId

````